Index: trunk/FACT++/erfa/src/c2ixy.c
===================================================================
--- trunk/FACT++/erfa/src/c2ixy.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2ixy.c	(revision 18711)
@@ -66,5 +66,5 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -80,5 +80,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2ixys.c
===================================================================
--- trunk/FACT++/erfa/src/c2ixys.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2ixys.c	(revision 18711)
@@ -48,5 +48,5 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -72,5 +72,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2s.c
===================================================================
--- trunk/FACT++/erfa/src/c2s.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2s.c	(revision 18711)
@@ -24,9 +24,10 @@
 **  3) At either pole, zero theta is returned.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double x, y, z, d2;
+
 
    x  = p[0];
@@ -44,5 +45,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2t00a.c
===================================================================
--- trunk/FACT++/erfa/src/c2t00a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2t00a.c	(revision 18711)
@@ -75,9 +75,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double rc2i[3][3], era, sp, rpom[3][3];
+
 
 /* Form the celestial-to-intermediate matrix for this TT (IAU 2000A). */
@@ -102,5 +103,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2t00b.c
===================================================================
--- trunk/FACT++/erfa/src/c2t00b.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2t00b.c	(revision 18711)
@@ -74,9 +74,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double rc2i[3][3], era, rpom[3][3];
+
 
 /* Form the celestial-to-intermediate matrix for this TT (IAU 2000B). */
@@ -98,5 +99,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2t06a.c
===================================================================
--- trunk/FACT++/erfa/src/c2t06a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2t06a.c	(revision 18711)
@@ -73,9 +73,10 @@
 **     IERS Technical Note No. 32, BKG
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double rc2i[3][3], era, sp, rpom[3][3];
+
 
 /* Form the celestial-to-intermediate matrix for this TT. */
@@ -100,5 +101,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2tcio.c
===================================================================
--- trunk/FACT++/erfa/src/c2tcio.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2tcio.c	(revision 18711)
@@ -53,9 +53,10 @@
 **     IERS Technical Note No. 32, BKG
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double r[3][3];
+
 
 /* Construct the matrix. */
@@ -70,5 +71,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2teqx.c
===================================================================
--- trunk/FACT++/erfa/src/c2teqx.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2teqx.c	(revision 18711)
@@ -53,9 +53,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double r[3][3];
+
 
 /* Construct the matrix. */
@@ -70,5 +71,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2tpe.c
===================================================================
--- trunk/FACT++/erfa/src/c2tpe.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2tpe.c	(revision 18711)
@@ -84,5 +84,5 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -90,4 +90,5 @@
    double epsa, rb[3][3], rp[3][3], rbp[3][3], rn[3][3],
           rbpn[3][3], gmst, ee, sp, rpom[3][3];
+
 
 /* Form the celestial-to-true matrix for this TT. */
@@ -115,5 +116,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/c2txy.c
===================================================================
--- trunk/FACT++/erfa/src/c2txy.c	(revision 18710)
+++ trunk/FACT++/erfa/src/c2txy.c	(revision 18711)
@@ -80,9 +80,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double rc2i[3][3], era, sp, rpom[3][3];
+
 
 /* Form the celestial-to-intermediate matrix for this TT. */
@@ -107,5 +108,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/cal2jd.c
===================================================================
--- trunk/FACT++/erfa/src/cal2jd.c	(revision 18710)
+++ trunk/FACT++/erfa/src/cal2jd.c	(revision 18711)
@@ -44,5 +44,5 @@
 **     Section 12.92 (p604).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -57,4 +57,5 @@
    static const int mtab[]
                      = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
+
 
 /* Preset status. */
@@ -87,5 +88,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/cp.c
===================================================================
--- trunk/FACT++/erfa/src/cp.c	(revision 18710)
+++ trunk/FACT++/erfa/src/cp.c	(revision 18711)
@@ -15,5 +15,5 @@
 **     c        double[3]     copy
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -29,5 +29,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/cpv.c
===================================================================
--- trunk/FACT++/erfa/src/cpv.c	(revision 18710)
+++ trunk/FACT++/erfa/src/cpv.c	(revision 18711)
@@ -18,5 +18,5 @@
 **     eraCp        copy p-vector
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -31,5 +31,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/cr.c
===================================================================
--- trunk/FACT++/erfa/src/cr.c	(revision 18710)
+++ trunk/FACT++/erfa/src/cr.c	(revision 18711)
@@ -13,10 +13,10 @@
 **
 **  Returned:
-**   char[]     double[3][3]    copy
+**     c        double[3][3]    copy
 **
 **  Called:
 **     eraCp        copy p-vector
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -32,5 +32,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/d2dtf.c
===================================================================
--- trunk/FACT++/erfa/src/d2dtf.c	(revision 18710)
+++ trunk/FACT++/erfa/src/d2dtf.c	(revision 18711)
@@ -72,5 +72,5 @@
 **     eraDat       delta(AT) = TAI-UTC
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -80,4 +80,5 @@
    int iy1, im1, id1, js, iy2, im2, id2, ihmsf1[4], i;
    double a1, b1, fd, dat0, dat12, w, dat24, dleap;
+
 
 /* The two-part JD. */
@@ -184,5 +185,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/d2tf.c
===================================================================
--- trunk/FACT++/erfa/src/d2tf.c	(revision 18710)
+++ trunk/FACT++/erfa/src/d2tf.c	(revision 18711)
@@ -49,5 +49,5 @@
 **     by testing for ihmsf[0]=24 and setting ihmsf[0-3] to zero.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -55,4 +55,5 @@
    int nrs, n;
    double rs, rm, rh, a, w, ah, am, as, af;
+
 
 /* Handle sign. */
@@ -108,5 +109,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/dat.c
===================================================================
--- trunk/FACT++/erfa/src/dat.c	(revision 18710)
+++ trunk/FACT++/erfa/src/dat.c	(revision 18711)
@@ -37,5 +37,5 @@
 **     :  added.                                  :
 **     :                                          :
-**     :  Latest leap second:  2015 June 30       :
+**     :  Latest leap second:  2016 December 31   :
 **     :                                          :
 **     :__________________________________________:
@@ -116,10 +116,10 @@
 **     eraCal2jd    Gregorian calendar to JD
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
 /* Release year for this version of eraDat */
-   enum { IYV = 2015};
+   enum { IYV = 2016};
 
 /* Reference dates (MJD) and drift rates (s/day), pre leap seconds */
@@ -189,5 +189,6 @@
       { 2009,  1, 34.0       },
       { 2012,  7, 35.0       },
-      { 2015,  7, 36.0       }
+      { 2015,  7, 36.0       },
+      { 2017,  1, 37.0       }
    };
 
@@ -245,5 +246,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/dtdb.c
===================================================================
--- trunk/FACT++/erfa/src/dtdb.c	(revision 18710)
+++ trunk/FACT++/erfa/src/dtdb.c	(revision 18711)
@@ -158,5 +158,5 @@
 **     Francou, G. & Laskar, J., Astron.Astrophys., 282, 663-683 (1994).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -1062,4 +1062,5 @@
    };
 
+
 /* Time since J2000.0 in Julian millennia. */
    t = ((date1 - ERFA_DJ00) + date2) / ERFA_DJM;
@@ -1161,5 +1162,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/dtf2d.c
===================================================================
--- trunk/FACT++/erfa/src/dtf2d.c	(revision 18710)
+++ trunk/FACT++/erfa/src/dtf2d.c	(revision 18711)
@@ -76,5 +76,5 @@
 **     eraJd2cal    JD to Gregorian calendar
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -82,4 +82,5 @@
    int js, iy2, im2, id2;
    double dj, w, day, seclim, dat0, dat12, dat24, dleap, time;
+
 
 /* Today's Julian Day Number. */
@@ -151,5 +152,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ee00.c
===================================================================
--- trunk/FACT++/erfa/src/ee00.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ee00.c	(revision 18711)
@@ -61,9 +61,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double ee;
+
 
 /* Equation of the equinoxes. */
@@ -76,5 +77,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ee00a.c
===================================================================
--- trunk/FACT++/erfa/src/ee00a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ee00a.c	(revision 18711)
@@ -59,9 +59,10 @@
 **     IERS Technical Note No. 32, BKG (2004).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dpsipr, depspr, epsa, dpsi, deps, ee;
+
 
 /* IAU 2000 precession-rate adjustments. */
@@ -83,5 +84,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ee00b.c
===================================================================
--- trunk/FACT++/erfa/src/ee00b.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ee00b.c	(revision 18711)
@@ -65,9 +65,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dpsipr, depspr, epsa, dpsi, deps, ee;
+
 
 /* IAU 2000 precession-rate adjustments. */
@@ -89,5 +90,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ee06a.c
===================================================================
--- trunk/FACT++/erfa/src/ee06a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ee06a.c	(revision 18711)
@@ -51,9 +51,10 @@
 **     IERS Technical Note No. 32, BKG
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double gst06a, gmst06, ee;
+
 
 /* Apparent and mean sidereal times. */
@@ -70,5 +71,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/eect00.c
===================================================================
--- trunk/FACT++/erfa/src/eect00.c	(revision 18710)
+++ trunk/FACT++/erfa/src/eect00.c	(revision 18711)
@@ -92,5 +92,5 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -231,5 +231,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/eform.c
===================================================================
--- trunk/FACT++/erfa/src/eform.c	(revision 18710)
+++ trunk/FACT++/erfa/src/eform.c	(revision 18711)
@@ -56,5 +56,5 @@
 **     p220.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -95,5 +95,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/eo06a.c
===================================================================
--- trunk/FACT++/erfa/src/eo06a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/eo06a.c	(revision 18711)
@@ -55,9 +55,10 @@
 **     Wallace, P.T. & Capitaine, N., 2006, Astron.Astrophys. 459, 981
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double r[3][3], x, y, s, eo;
+
 
 /* Classical nutation x precession x bias matrix. */
@@ -79,5 +80,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/eors.c
===================================================================
--- trunk/FACT++/erfa/src/eors.c	(revision 18710)
+++ trunk/FACT++/erfa/src/eors.c	(revision 18711)
@@ -34,9 +34,10 @@
 **     Wallace, P. & Capitaine, N., 2006, Astron.Astrophys. 459, 981
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double x, ax, xs, ys, zs, p, q, eo;
+
 
 /* Evaluate Wallace & Capitaine (2006) expression (16). */
@@ -56,5 +57,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/epb.c
===================================================================
--- trunk/FACT++/erfa/src/epb.c	(revision 18710)
+++ trunk/FACT++/erfa/src/epb.c	(revision 18711)
@@ -27,5 +27,5 @@
 **     Lieske, J.H., 1979. Astron.Astrophys., 73, 282.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -40,5 +40,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/epb2jd.c
===================================================================
--- trunk/FACT++/erfa/src/epb2jd.c	(revision 18710)
+++ trunk/FACT++/erfa/src/epb2jd.c	(revision 18711)
@@ -27,5 +27,5 @@
 **     Lieske, J.H., 1979, Astron.Astrophys. 73, 282.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -40,5 +40,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/epj.c
===================================================================
--- trunk/FACT++/erfa/src/epj.c	(revision 18710)
+++ trunk/FACT++/erfa/src/epj.c	(revision 18711)
@@ -27,9 +27,10 @@
 **     Lieske, J.H., 1979, Astron.Astrophys. 73, 282.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double epj;
+
 
    epj = 2000.0 + ((dj1 - ERFA_DJ00) + dj2) / ERFA_DJY;
@@ -41,5 +42,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/epj2jd.c
===================================================================
--- trunk/FACT++/erfa/src/epj2jd.c	(revision 18710)
+++ trunk/FACT++/erfa/src/epj2jd.c	(revision 18711)
@@ -27,5 +27,5 @@
 **     Lieske, J.H., 1979, Astron.Astrophys. 73, 282.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -40,5 +40,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/epv00.c
===================================================================
--- trunk/FACT++/erfa/src/epv00.c	(revision 18710)
+++ trunk/FACT++/erfa/src/epv00.c	(revision 18711)
@@ -95,5 +95,5 @@
 **     will receive the barycentric values.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -2538,5 +2538,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/eqeq94.c
===================================================================
--- trunk/FACT++/erfa/src/eqeq94.c	(revision 18710)
+++ trunk/FACT++/erfa/src/eqeq94.c	(revision 18711)
@@ -52,9 +52,10 @@
 **     645-650.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double t,  om,  dpsi,  deps,  eps0, ee;
+
 
 /* Interval between fundamental epoch J2000.0 and given date (JC). */
@@ -80,5 +81,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/era00.c
===================================================================
--- trunk/FACT++/erfa/src/era00.c	(revision 18710)
+++ trunk/FACT++/erfa/src/era00.c	(revision 18711)
@@ -55,9 +55,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double d1, d2, t, f, theta;
+
 
 /* Days since fundamental epoch. */
@@ -84,5 +85,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/erfa.h
===================================================================
--- trunk/FACT++/erfa/src/erfa.h	(revision 18710)
+++ trunk/FACT++/erfa/src/erfa.h	(revision 18711)
@@ -9,5 +9,5 @@
 **  Prototype function declarations for ERFA library.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -193,4 +193,8 @@
 void eraFw2xy(double gamb, double phib, double psi, double eps,
               double *x, double *y);
+void eraLtp(double epj, double rp[3][3]);
+void eraLtpb(double epj, double rpb[3][3]);
+void eraLtpecl(double epj, double vec[3]);
+void eraLtpequ(double epj, double veq[3]);
 void eraNum00a(double date1, double date2, double rmatn[3][3]);
 void eraNum00b(double date1, double date2, double rmatn[3][3]);
@@ -306,7 +310,17 @@
               double *pmr2, double *pmd2, double *px2, double *rv2);
 
+/* Astronomy/EclipticCoordinates */
+void eraEceq06(double date1, double date2, double dl, double db,
+               double *dr, double *dd);
+void eraEcm06(double date1, double date2, double rm[3][3]);
+void eraEqec06(double date1, double date2, double dr, double dd,
+               double *dl, double *db);
+void eraLteceq(double epj, double dl, double db, double *dr, double *dd);
+void eraLtecm(double epj, double rm[3][3]);
+void eraLteqec(double epj, double dr, double dd, double *dl, double *db);
+
 /* Astronomy/GalacticCoordinates */
-void eraG2icrs ( double dl, double db, double *dr, double *dd );
-void eraIcrs2g ( double dr, double dd, double *dl, double *db );
+void eraG2icrs(double dl, double db, double *dr, double *dd);
+void eraIcrs2g(double dr, double dd, double *dl, double *db);
 
 /* Astronomy/GeodeticGeocentric */
@@ -443,5 +457,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/erfam.h
===================================================================
--- trunk/FACT++/erfa/src/erfam.h	(revision 18710)
+++ trunk/FACT++/erfa/src/erfam.h	(revision 18711)
@@ -9,5 +9,5 @@
 **  Macros used by ERFA library.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -148,5 +148,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fad03.c
===================================================================
--- trunk/FACT++/erfa/src/fad03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fad03.c	(revision 18711)
@@ -32,9 +32,10 @@
 **     Francou, G., Laskar, J. 1994, Astron.Astrophys. 282, 663-683
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean elongation of the Moon from the Sun (IERS Conventions 2003). */
@@ -51,5 +52,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fae03.c
===================================================================
--- trunk/FACT++/erfa/src/fae03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fae03.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     Astron.Astrophys.Supp.Ser. 135, 111
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Earth (IERS Conventions 2003). */
@@ -50,5 +51,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/faf03.c
===================================================================
--- trunk/FACT++/erfa/src/faf03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/faf03.c	(revision 18711)
@@ -33,9 +33,10 @@
 **     Francou, G., Laskar, J. 1994, Astron.Astrophys. 282, 663-683
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of the Moon minus that of the ascending node */
@@ -49,9 +50,10 @@
    return a;
 
+
 }
 /*----------------------------------------------------------------------
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/faju03.c
===================================================================
--- trunk/FACT++/erfa/src/faju03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/faju03.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     Astron.Astrophys.Supp.Ser. 135, 111
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Jupiter (IERS Conventions 2003). */
@@ -50,5 +51,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fal03.c
===================================================================
--- trunk/FACT++/erfa/src/fal03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fal03.c	(revision 18711)
@@ -32,9 +32,10 @@
 **     Francou, G., Laskar, J. 1994, Astron.Astrophys. 282, 663-683
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean anomaly of the Moon (IERS Conventions 2003). */
@@ -51,5 +52,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/falp03.c
===================================================================
--- trunk/FACT++/erfa/src/falp03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/falp03.c	(revision 18711)
@@ -32,9 +32,10 @@
 **     Francou, G., Laskar, J. 1994, Astron.Astrophys. 282, 663-683
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean anomaly of the Sun (IERS Conventions 2003). */
@@ -51,5 +52,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
